# [for (x)emacs] -*-  mode: RPM-SPEC; coding: utf-8 -*-
Summary: A Red Hat DNS configuration tool.
Name: system-config-bind
Version: 2.0.3
Release: 1
License: GPL
Group: Applications/System
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
BuildPreReq: python2 >= 2.2
Requires: python2 >= 2.2.2
Requires: gtk2, gnome-python2, pygtk2-libglade, gnome-python2-canvas, pygtk2
Requires: bind
Requires: 4Suite
Requires: usermode
Obsoletes: redhat-config-bind
Obsoletes: bindconf

%description
The system-config-bind package contains a utility for configuring basic Domain
Name System (DNS) settings.

%prep
%setup -q

%build
%configure
make

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall

install -D system-config-bind.desktop  $RPM_BUILD_ROOT/usr/share/applications/system-config-bind.desktop

%__mkdir_p \
$RPM_BUILD_ROOT/{usr/bin,usr/sbin,usr/share/system-config-bind,usr/share/applications}

%__mkdir_p $RPM_BUILD_ROOT/etc/security/console.apps \
           $RPM_BUILD_ROOT/etc/pam.d
%__install -m644 system-config-bind.console $RPM_BUILD_ROOT/etc/security/console.apps/%{name}
%__install -m644 named.custom $RPM_BUILD_ROOT/etc
%__ln_s %{name} $RPM_BUILD_ROOT/etc/security/console.apps/bindconf

%__install -m644 system-config-bind.pam $RPM_BUILD_ROOT/etc/pam.d/%{name}
%__ln_s %{name} $RPM_BUILD_ROOT/etc/pam.d/bindconf

%__ln_s consolehelper $RPM_BUILD_ROOT/usr/bin/%{name}
%__ln_s %{name}-gui $RPM_BUILD_ROOT/usr/sbin/system-config-bind
%__ln_s consolehelper $RPM_BUILD_ROOT/usr/bin/bindconf

#mv $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version} $RPM_BUILD_ROOT/%{_docdir}/%{name}

%find_lang %{name}

%clean
rm -fr $RPM_BUILD_ROOT

%preun

%files -f %{name}.lang
%defattr(-,root,root)
%doc doc/*.html
%doc doc/figs
%doc doc/stylesheet-images
/usr/bin/%{name}
/usr/bin/bindconf
/usr/sbin/%{name}-gui
/usr/sbin/%{name}
/usr/share/%{name}
/usr/share/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%config(noreplace) /etc/named.custom
%config(noreplace) /etc/pam.d/%{name}
%config(noreplace) /etc/pam.d/bindconf
%config /etc/security/console.apps/%{name}
%config /etc/security/console.apps/bindconf

%changelog
* Tue Jul 13 2004 Dan Walsh <dwalsh@redhat.com> 2.0.3-1
- Add IPV6 support
- Add modifications supplied by Ivan Gyurdiev 

* Thu Jul 1 2004 Dan Walsh <dwalsh@redhat.com> 2.0.2-10
- Fix many minor problems with GUI

* Tue Jun 15 2004 Dan Walsh <dwalsh@redhat.com> 2.0.2-9
- Fix Zone handling of SOA Records

* Wed Jun 8 2004 Dan Walsh <dwalsh@redhat.com> 2.0.1-7
- Handle case where zone files spec does not have file option

* Wed Jun 8 2004 Dan Walsh <dwalsh@redhat.com> 2.0.1-6
- Handle case where /etc/named.conf does not exists

* Wed Apr 28 2004 Dan Walsh <dwalsh@redhat.com> 2.0.1-5
- Fix ns_value entry

* Tue Mar 24 2004 Dan Walsh <dwalsh@redhat.com> 2.0.1-4
- Add additional languages

* Tue Jan 6 2004 Dan Walsh <dwalsh@redhat.com> 2.0.1-3
- Remove 2.2 hard coding.

* Mon Jan 5 2004 Dan Walsh <dwalsh@redhat.com> 2.0.1-2
- Default new slave zones to slave directory

* Wed Nov 5 2003 Dan Walsh <dwalsh@redhat.com> 2.0.1-1
- Enhance to better supporte more named.conf files

* Wed Oct 22 2003 Dan Walsh <dwalsh@redhat.com> 2.0.0-18
- Add translations

* Wed Oct 22 2003 Dan Walsh <dwalsh@redhat.com> 2.0.0-17
- Fix getSerial

* Tue Oct 7 2003 Dan Walsh <dwalsh@redhat.com> 2.0.0-16
- Allow wildcard hostnames.

* Wed Oct 1 2003 Dan Walsh <dwalsh@redhat.com> 2.0.0-15
- Bump

* Wed Oct 1 2003 Dan Walsh <dwalsh@redhat.com> 2.0.0-14
- Fix pathing problem on hammer

* Thu Sep 4 2003 Bill Nottingham <notting@redhat.com> 2.0.0-13
- rebuild

* Thu Sep 4 2003 Bill Nottingham <notting@redhat.com> 2.0.0-12
- remove buildreq on libglade-devel

* Tue Sep 2 2003 Daniel J Walsh <dwalsh@redhat.com> 2.0.0-11
- Bump

* Tue Sep 2 2003 Daniel J Walsh <dwalsh@redhat.com> 2.0.0-10
- Fix getDirectory in Conf to catch all exceptions

* Fri Aug 22 2003 Daniel J Walsh <dwalsh@redhat.com> 2.0.0-9
- More bug fixes

* Fri Aug 22 2003 Daniel J Walsh <dwalsh@redhat.com> 2.0.0-8
- Bump

* Fri Aug 22 2003 Daniel J Walsh <dwalsh@redhat.com> 2.0.0-7
- Fix problems in saving rev zones.

* Tue Aug 19 2003 Daniel J Walsh <dwalsh@redhat.com> 2.0.0-6
- bump version

* Tue Aug 19 2003 Daniel J Walsh <dwalsh@redhat.com> 2.0.0-5
- Requires python 2.2.2

* Tue Aug 19 2003 Daniel J Walsh <dwalsh@redhat.com> 2.0.0-4
- Fix requires

* Thu Jul  31 2003 Daniel J Walsh <dwalsh@redhat.com> 2.0.0-3
- Fix sort routines in gui.

* Tue Jul  29 2003 Daniel J Walsh <dwalsh@redhat.com> 2.0.0-2
- Fix glade location

* Tue Jan  28 2003 Daniel J Walsh <dwalsh@redhat.com> 2.0.0-1
- Eliminate alchemist and simplify interface

* Tue Jan  28 2003 Daniel J Walsh <dwalsh@redhat.com> 1.9.0-13
- Fix icon

* Mon Jan  27 2003 Daniel J Walsh <dwalsh@redhat.com> 1.9.0-12
- Only install docs in one directory

* Tue Jan  14 2003 Daniel J Walsh <dwalsh@redhat.com> 1.9.0-11
- Update Help Information

* Thu Jan  9 2003 Daniel J Walsh <dwalsh@redhat.com> 1.9.0-10
- added StartupNotify=true

* Fri Jan  3 2003 Daniel J Walsh <dwalsh@redhat.com> 1.9.0-9
- fix to create name service correctly

* Tue Dec  24 2002 Daniel J Walsh <dwalsh@redhat.com> 1.9.0-8
- Make data entry easier
- Eliminate options from XSL

* Fri Dec  6 2002 Daniel J Walsh <dwalsh@redhat.com> 1.9.0-7
- Fix error catching on invalid display

* Mon Dec 2 2002 Dan Walsh <dwalsh@redhat.com> 1.9.0-6
- Fix unable to access DISPLAY exception

* Fri Nov 1 2002 Dan Walsh <dwalsh@redhat.com> 1.9.0-4
- change gui layout and add save button

* Thu Oct 10 2002 Dan Walsh <dwalsh@redhat.com> 1.9.0-3
- Cleanup GUI
- Confirm all delete operations

* Tue Oct 8 2002 Dan Walsh <dwalsh@redhat.com> 1.9.0-2
- Fix Handling of Serial Numbers

* Wed Oct 2 2002 Dan Walsh <dwalsh@redhat.com> 1.9.0-1
- Fix Slave Master List.

* Wed Sep 5 2002 Dan Walsh <dwalsh@redhat.com> 1.8.1-19
- Fix bad exception name

* Tue Sep 4 2002 Dan Walsh <dwalsh@redhat.com> 1.8.1-18
- Update translations

* Thu Aug 29 2002 Trond Eivind Glomsrød <teg@redhat.com> 1.8.1-17
- Update translations

* Thu Aug 29 2002 Dan Walsh <dwalsh@redhat.com> 1.8.1-16
- Update po files
- Fix Forward Double-Click problem

* Tue Aug 20 2002 Dan Walsh <dwalsh@redhat.com> 1.8.1-15
- Use gnome url_show for help

* Mon Aug 19 2002 Dan Walsh <dwalsh@redhat.com> 1.8.1-14
- Fix handling of MX records on cancel
- fix handling of serial button for reverse zones
- fix adding foward zone problem.

* Fri Aug 9 2002 Dan Walsh <dwalsh@redhat.com> 1.8.1-13
- Don't ask to save when there are no changes
- fix bug where records get added when user presses cancel

* Fri Aug 9 2002 Dan Walsh <dwalsh@redhat.com> 1.8.1-12
- remove mandatory named.ca 

* Thu Aug 8 2002 Dan Walsh <dwalsh@redhat.com> 1.8.1-11
- Update Help Documentation
- Latest Translations
- Fix string substitution code
- Eliminate Hash code use

* Wed Aug 7 2002 Dan Walsh <dwalsh@redhat.com> 1.8.1-10
- Fix to use error messages on a single line
- Additional Help Documentation
- Changed headers and help names

* Tue Aug 6 2002 Dan Walsh <dwalsh@redhat.com> 1.8.1-9
- Fix problems with Nameserver adding
- Fix problems with slave zones redisplay

* Tue Aug 6 2002 Dan Walsh <dwalsh@redhat.com> 1.8.1-8
- Move gif files into figs directory

* Tue Aug 6 2002 Dan Walsh <dwalsh@redhat.com> 1.8.1-7
- Fix handling of SOA record.
- Improve error messages.

* Mon Aug 5 2002 Dan Walsh <dwalsh@redhat.com> 1.8.1-6
- Converted to use intltool

* Fri Aug 2 2002 Dan Walsh <dwalsh@redhat.com> 1.8.1-5
- updated to remove conflict with previous version.

* Fri Aug 2 2002 Dan Walsh <dwalsh@redhat.com> 1.8.1-4
- Add latest languages
- Update to build on Milan

* Fri Jul 26 2002 Dan Walsh <dwalsh@redhat.com> 1.8.1-3
- Fix PAM file to use pam_timestamp

* Tue Jul 23 2002 Dan Walsh <dwalsh@redhat.com> 1.8.1-2
- fix desktop files
- rename package to redhat-config-bind

* Thu Jul 18 2002 Daniel Walsh <dwalsh@redhat.com> 1.7.0-1
- Fix mx record handling from the front screen.
- fix edit on main screen to save data

* Wed Jul 17 2002 Daniel Walsh <dwalsh@redhat.com> 1.6.6-1
- added add record button to front screen
- show records in tree widget on front screen
- There are some major changes in UI on the front screen.
- fix help screens

* Thu Jun 27 2002 Daniel Walsh <dwalsh@redhat.com> 1.6.5-1
- ported to gnome2 and gtk2

* Mon Apr 15 2002 Trond Eivind Glomsrød <teg@redhat.com> 1.6.2-1
- Update translations

* Wed Mar 27 2002 Jonathan Blandford <jrb@redhat.com> 1.6.1-2
- change redhat-config-bindconf to redhat-config-bind
- Fix desktop file string

* Thu Aug 30 2001 Trond Eivind Glomsrød <teg@redhat.com> 1.6.1-1
- remove the duplicate icon from kontrol-panel
- fix po-files (#52668)
- mark various config files as config(noreplace)

* Tue Aug 28 2001 Harald Hoyer <harald@redhat.com> 1.6-5
- changed mode to 0422 for newly created zone files #52678

* Tue Aug 14 2001 Tim Powers <timp@redhat.com> 1.6-4
- rebuilt to hopefully fix rpm verify problem

* Wed Aug  8 2001 Alexander Larsson <alexl@redhat.com> 1.6-3
- Install desktop file in serverconf:
- Install icon in /usr/share/pixmaps

* Tue Jul 31 2001 Harald Hoyer <harald@redhat.de> 1.6-2
- added softlinks to redhat-config-bindconf

* Mon Jul 30 2001 Harald Hoyer <harald@redhat.de> 1.6-1
- added BuildPreReq for libglade-devel (#44727)

* Thu Jul 19 2001 Harald Hoyer <harald@redhat.de> 1.5-1
- better regex for domain names (#43078)
- fixed about dialog
- added control section to named.conf (#44751)

* Tue Mar 20 2001 Harald Hoyer <harald@redhat.de> 1.4-1
- Updated German translation
- Added more len(NULL) exception preventions

* Sun Mar 18 2001 Yukihiro Nakai <ynakai@redhat.com> 1.4-1
- Update Japanese translation
- Add Japanese trasnlation to *.desktop

* Thu Mar 08 2001 Harald Hoyer <harald@redhat.de> 1.3-1
- added documentation

* Mon Mar 05 2001 Harald Hoyer <harald@redhat.de> 1.2-1
- added noreplace for the real user configuration file
- specfile cleanups

* Thu Mar 01 2001 Harald Hoyer <harald@redhat.de> 1.1-1
- fixed PTR list bug
- fixed specfile: BUGS entry in files

* Wed Feb 28 2001 Elliot Lee <sopwith@redhat.com> 1.0-1
- Release

* Tue Feb 27 2001 Trond Eivind Glomsrød <teg@redhat.com>
- i18n update

* Fri Feb 23 2001 Elliot Lee <sopwith@redhat.com> 0.12-1
- Update to new version

* Thu Feb 22 2001 Harald Hoyer <harald@redhat.de> 0.11
- more fixes and tests

* Wed Feb 21 2001 Elliot Lee <sopwith@redhat.com> 0.10-1
- Update

* Thu Feb 15 2001 Harald Hoyer <harald@redhat.com> 0.8-2
- integrated elliots distcheck changes

* Wed Feb 14 2001 Elliot Lee <sopwith@redhat.com> 0.4-1
- new version

* Tue Feb 13 2001 Harald Hoyer <harald@redhat.com> 0.8
- major GUI changes from <jrb@redhat.com> and <sopwith@redhat.com>
- switched to automake

* Fri Feb 10 2001 Harald Hoyer <harald@redhat.com> 0.7-1/2/3
- fixed zone.conf.xsl
- fixed named.conf.xsl
- fixed bindconf.py typo
- added default Contact

* Wed Feb 08 2001 Harald Hoyer <harald@redhat.com> 0.6-1
- fixed TTLs in newly created zones
- added i18n in spec file
- fixed some unlink errors

* Wed Feb 07 2001 Harald Hoyer <harald@redhat.com> 0.5-1
- switched to xslt and new data layer

* Wed Jan 24 2001 Elliot Lee <sopwith@redhat.com> 0.4-1
- New version

* Mon Jan 22 2001 Elliot Lee <sopwith@redhat.com> 0.2-1
- Make a changelog entry because the build system wants one. Die, build system!

* Thu Jan 18 2001 Elliot Lee <sopwith@redhat.com> 0.1-1
- Initial specfile
